# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "streak-api"
version = "0.3.8"
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "API for interacting with the STREAK directional markets protocol on Solana"
homepage = "https://streak.market"
documentation = "https://docs.rs/streak-api"
readme = "README.md"
keywords = [
    "solana",
    "streak",
    "blockchain",
    "defi",
]
license = "MIT"
repository = "https://github.com/streak/streak"

[lib]
name = "streak_api"
path = "src/lib.rs"

[dependencies.bytemuck]
version = "1.14.3"
features = ["derive"]

[dependencies.num_enum]
version = "0.7.2"

[dependencies.solana-program]
version = "^2.1"

[dependencies.spl-associated-token-account]
version = "=6.0.0"
features = ["no-entrypoint"]

[dependencies.spl-token]
version = "=4.0.2"
features = ["no-entrypoint"]

[dependencies.spl-token-2022]
version = "=7.0.0"
features = ["no-entrypoint"]

[dependencies.steel]
version = "4.0.7"
features = ["spl"]

[dependencies.thiserror]
version = "1.0.57"
